import { r as registerInstance, h } from './index-77a9c9e7.js';

const bpSdkSpinnerCss = "";
const BpSdkSpinnerStyle0 = bpSdkSpinnerCss;

const BpSdkSpinner = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.useExternal = false;
    }
    resetState() { }
    connectedCallback() {
        this.resetState();
    }
    componentWillLoad() {
        this.useExternal = !!customElements.get('bp-sdk-external-spinner');
        customElements.whenDefined('bp-sdk-external-spinner').then(() => {
            this.useExternal = true;
        });
    }
    render() {
        return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
    }
    renderExternal() {
        return h("bp-sdk-external-spinner", null);
    }
    renderInternal() {
        return (h("div", { class: "bp-sdk-spinner__container" }, h("bp-sdk-icon-container", { name: "spinner", cssClasses: "fa-spin" })));
    }
};
BpSdkSpinner.style = BpSdkSpinnerStyle0;

export { BpSdkSpinner as bp_sdk_spinner };
